-module(nitro_pickle).
%%-author('Maxim Sokhatsky').

-export([
  pickle/1,
  depickle/1
]).


pickle(Data) -> base64:encode(erlang:term_to_binary({Data, os:timestamp()}, [compressed])).

depickle(PickledData) ->
  try
    {Data, _PickleTime} = erlang:binary_to_term( base64:decode( nitro:to_binary(PickledData) ) ),
    Data
  catch _:_ ->
    undefined
  end.

